
QGIS Application - Bug report #14279

Processing: pythn error when running  model within the modeller

2016-02-11 01:43 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22273

Description

QGIS master.

TypeError: object.__new__(NotImplementedType) is not safe, use NotImplementedType.__new__() 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 247, in runModel

    alg = self.alg.getCopy()

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 201, in getCopy

    newone.algs = copy.deepcopy(self.algs)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 190, in deepcopy

    y = _reconstruct(x, rv, 1, memo)

  File "/usr/lib/python2.7/copy.py", line 334, in _reconstruct

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 230, in _deepcopy_list
    y.append(deepcopy(a, memo))

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 298, in _deepcopy_inst

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 190, in deepcopy

    y = _reconstruct(x, rv, 1, memo)

  File "/usr/lib/python2.7/copy.py", line 334, in _reconstruct

    state = deepcopy(state, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 163, in deepcopy

    y = copier(x, memo)

  File "/usr/lib/python2.7/copy.py", line 257, in _deepcopy_dict

    y[deepcopy(key, memo)] = deepcopy(value, memo)

  File "/usr/lib/python2.7/copy.py", line 190, in deepcopy

    y = _reconstruct(x, rv, 1, memo)

  File "/usr/lib/python2.7/copy.py", line 329, in _reconstruct

    y = callable(*args)

  File "/usr/lib/python2.7/copy_reg.py", line 93, in newobj

    return cls._new__(cls, *args)

TypeError: object.__new__(NotImplementedType) is not safe, use NotImplementedType.__new__()

History

#1 - 2016-02-16 11:09 AM - Alexander Bruy

This happens with any model or only with specific one?

#2 - 2016-02-16 01:01 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

updated to latest master, error gone.
